# - Try to find ARGTABLE
# Once done this will define
#
#  ARGTABLE_FOUND - system has ARGTABLE
#  ARGTABLE_INCLUDE_DIRS - the ARGTABLE include directory
#  ARGTABLE_LIBRARY - Link these to use ARGTABLE

FIND_LIBRARY (ARGTABLE_LIBRARIES NAMES argtable2
    PATHS
    /usr/lib
    /usr/local/lib
    ${CMAKE_SOURCE_DIR}/win32-deps/lib
)

FIND_PATH (ARGTABLE_INCLUDE_DIRS argtable2.h
    PATHS
    /usr/include
    /usr/local/include
    ${CMAKE_SOURCE_DIR}/win32-deps/include
)

IF(ARGTABLE_INCLUDE_DIRS AND ARGTABLE_LIBRARIES)
    SET(ARGTABLE_FOUND TRUE)
ENDIF(ARGTABLE_INCLUDE_DIRS AND ARGTABLE_LIBRARIES)

IF(ARGTABLE_FOUND)
    IF(NOT ARGTABLE_FIND_QUIETLY)
        MESSAGE(STATUS "Found libargtable: ${ARGTABLE_LIBRARIES}")
    ENDIF(NOT ARGTABLE_FIND_QUIETLY)
ELSE(ARGTABLE_FOUND)
    IF(ARGTABLE_FIND_REQUIRED)
        MESSAGE(FATAL_ERROR "Could not find libargtable")
    ENDIF(ARGTABLE_FIND_REQUIRED)
ENDIF(ARGTABLE_FOUND)

MARK_AS_ADVANCED(
    ARGTABLE_LIBRARIES
    ARGTABLE_INCLUDE_DIRS
)
